summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJason Stryker2019-03-05 15:59:48 -0500
committerJason Stryker2019-03-05 15:59:48 -0500
commit2916f6f614c529a9535a9870ec0a2c329ca6b440 (patch)
treec7bb42fe949cce6605504aae5714496dda108007
parent8e5fb402ae5df804a88c25ab04838790d6651b7b (diff)
downloadaur-2916f6f614c529a9535a9870ec0a2c329ca6b440.tar.gz
bump pkgrel for linux 5.0
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD6
2 files changed, 6 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 69af49168bf..c5a0af7ceb9 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,14 +1,13 @@
pkgbase = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
pkgver = 418.42.02
- pkgrel = 1
+ pkgrel = 2
url = https://developer.nvidia.com/vulkan-driver
arch = x86_64
license = custom
makedepends = libglvnd
makedepends = linux
- makedepends = linux-headers>=4.20
- makedepends = linux-headers<4.21
+ makedepends = linux-headers
options = !strip
source = NVIDIA-Linux-x86_64-418.42.02.run::https://developer.nvidia.com/vulkan-beta-4184202-linux
source = nvidia-drm-outputclass.conf
@@ -21,8 +20,7 @@ pkgbase = nvidia-vulkan
pkgname = nvidia-vulkan
pkgdesc = NVIDIA drivers for linux (vulkan developer branch)
- depends = linux>=4.20
- depends = linux<4.21
+ depends = linux
depends = nvidia-vulkan-utils=418.42.02
depends = libglvnd
provides = nvidia=418.42.02
diff --git a/PKGBUILD b/PKGBUILD
index d9a8cd0ae9e..3a881d14b91 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -9,11 +9,11 @@ pkgbase=nvidia-vulkan
pkgname=('nvidia-vulkan' 'nvidia-vulkan-dkms' 'nvidia-vulkan-utils' 'opencl-nvidia-vulkan' 'lib32-nvidia-vulkan-utils' 'lib32-opencl-nvidia-vulkan')
pkgver=418.42.02
_extramodules=extramodules-ARCH
-pkgrel=1
+pkgrel=2
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
arch=('x86_64')
url="https://developer.nvidia.com/vulkan-driver"
-makedepends=('libglvnd' 'linux' 'linux-headers>=4.20' 'linux-headers<4.21')
+makedepends=('libglvnd' 'linux' 'linux-headers')
license=('custom')
options=('!strip')
_pkg="NVIDIA-Linux-x86_64-${pkgver}"
@@ -74,7 +74,7 @@ build() {
package_nvidia-vulkan() {
pkgdesc="NVIDIA drivers for linux (vulkan developer branch)"
- depends=('linux>=4.20' 'linux<4.21' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
+ depends=('linux' "nvidia-vulkan-utils=${pkgver}" 'libglvnd')
provides=("nvidia=$pkgver")
conflicts+=('nvidia')